Hard deletes dataset definitions by given dataset names. This also deletes the associated DQ Jobs and referenced data.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
datasetsstring[]Required
anyRequired
Set of dataset names to delete
Responses
200
Returns a map of dataset names and their deletion status
application/json
Other propertiesbooleanOptional
delete/v3/datasetDefs
200
Returns a map of dataset names and their deletion status
Return a list of dataset definitions by a given filter
post
Returns a list of dataset definitions by given filter criteria. Pre-authorization requirements:
hasRole('ROLE_ADMIN') or hasRole('ROLE_CONNECTION_MANAGER')
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
limitinteger · int32Optional
offsetinteger · int32Optional
searchValuestringOptional
sensitivityLabelsstring[]Optional
sourcesstring[]Optional
dataClassesstring[]Optional
columnNamesstring[]Optional
businessUnitNamesstring[]Optional
dataCategoryNamesstring[]Optional
Responses
200
Returns a list of dataset definitions by given filter
application/json
Response containing the paged information.
totalinteger · int64Optional
The total number of results.
Example: 1000
offsetinteger · int64OptionalDeprecated
The offset for the results.
Example: 10
limitinteger · int64Optional
The maximum number of results to be returned.
Example: 100
post/v3/datasetDefs/find
200
Returns a list of dataset definitions by given filter
Update the Spark information of one or more datasets
patch
Bulk updates the Spark information for multiple dataset definitions. It is secured and can only be accessed by users with the 'ROLE_ADMIN' role. Pre-authorization requirements:
hasRole('ROLE_ADMIN')
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
datasetsstring[]Required
numExecutorsinteger · int32Optional
driverMemorystringOptional
executorMemorystringOptional
executorCoresinteger · int32Optional
confstringOptional
masterstringOptional
deployModestringOptional
anyOptional
The deploy mode for the spark job
Responses
200
Returns the number of datasets for which the spark information was updated
application/json
integer · int32Optional
404
Some dataset not found
application/json
422
Updating agent for pushdown datasets is not allowed
patch/v3/datasetDefs/batch/spark
Update the host information of one or more datasets
patch
Bulk updates the host information in the dataset definitions of one or more given datasets. Pre-authorization requirements:
hasRole('ROLE_ADMIN')
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
datasetsstring[]Required
hoststringRequired
anyRequired
The host information to be updated
Responses
200
Returns the number of datasets for which the host information was updated
application/json
integer · int32Optional
patch/v3/datasetDefs/batch/host
200
Returns the number of datasets for which the host information was updated
Update the agent information of one or more datasets
patch
Updates the agent information for multiple dataset definitions in bulk. It is secured and can only be accessed by users with the 'ROLE_ADMIN' role. At least one of agentName, agentId or agentUuid must be provided. If agentId or agentUuid is provided, the method will update the agent information using the Identifier formed from agentId and agentUuid. If agentName is provided and agentId and agentUuid are not provided, the method will update the agent information using the agentName. Returns the number of datasets for which the agent information was updated. Pre-authorization requirements:
hasRole('ROLE_ADMIN')
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
datasetsstring[]Required
agentNamestringOptional
agentIdinteger · int64Optional
agentUuidstring · uuidOptional
anyOptional
The UUID of the agent.
Responses
200
Returns the number of datasets for which the agent information was updated
application/json
integer · int32Optional
404
Some dataset not found
application/json
422
Updating agent for pushdown datasets is not allowed
patch/v3/datasetDefs/batch/agent
Retrieve the dataset definition of a given dataset
get
Retrieves the dataset definition of a given dataset. Pre-authorization requirements:
hasRole('ROLE_ADMIN') or hasRole('ROLE_DATASET_MANAGER') or hasDatasetAccess(#dataset)
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.